<?php
/**
 * @package   Akiraka Template - RocketTheme
 * @version   1.5.7 April 8, 2010
 * @author    RocketTheme, LLC http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Akiraka Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined( '_JEXEC' ) or die( 'Restricted index access' );

// set default vars
$fontstyle = "f-" . $default_font;
$fontfamily = $font_family;
$tstyle = $preset_style;
$mtype = $menu_type;
$thisurl = $this->base . rebuildQueryString($template_properties);
$preset = $this->params->get("presetStyle", "style1");
$my_session = JFactory::getSession();

//array of properties to look for and store
foreach ($template_properties as $tprop) {

    if (isset($_REQUEST['reset-settings'])) {
        $my_session->set($cookie_prefix.$tprop,"");
        setcookie ($cookie_prefix. $tprop, "", $cookie_time, '/', false);  
    } elseif ($my_session->get($cookie_prefix.$tprop)) {
        $$tprop = $my_session->get($cookie_prefix.$tprop);
    } elseif (isset($_COOKIE[$cookie_prefix. $tprop])) {
    	$$tprop = htmlentities(JRequest::getVar($cookie_prefix. $tprop, '', 'COOKIE', 'STRING'));
    }    
}


if ($preset != $tstyle) {
    rebuildColorParams($this, $tstyle);
}

// rebuild color params from preset array
function rebuildColorParams(&$template, &$tstyle) {
    global $stylesList;
    $style = $stylesList[$tstyle];
    
    $template->params->set('header_color',              $style[5]);
    $template->params->set('logo_text',                 $style[11]);
    $template->params->set('header_text',               $style[12]);
    $template->params->set('header_link',               $style[13]);
    $template->params->set('headerOverlay',             $style[0]);
    $template->params->set('showcase_color',            $style[6]);
    $template->params->set('showcase_text',             $style[14]);
    $template->params->set('showcase_link',             $style[15]);
    $template->params->set('showcase_highlight_text',   $style[16]);
    $template->params->set('showcase_highlight',        $style[17]);
    $template->params->set('showcaseOverlay',           $style[1]);
    $template->params->set('body_color',                $style[7]);
    $template->params->set('body_highlight',            $style[18]);
    $template->params->set('body_text',                 $style[19]);
    $template->params->set('body_link',                 $style[20]);
    $template->params->set('bodyOverlay',               $style[2]);
    $template->params->set('botbar_color',              $style[8]);
    $template->params->set('botbar_text',               $style[21]);
    $template->params->set('botbar_link',               $style[22]);
    $template->params->set('botsection_color',          $style[9]);
    $template->params->set('botsection_text',           $style[23]);
    $template->params->set('botsection_link',           $style[24]);
    $template->params->set('bottomOverlay',             $style[3]);
    $template->params->set('footer_color',              $style[10]);
    $template->params->set('footer_text',               $style[25]);
    $template->params->set('footer_link',               $style[26]);
    $template->params->set('overlayTexture',            $style[4]);
    
    //var_dump ($template->params);
}


// rebuild the querystring when needed
function rebuildQueryString($template_properties) {

  if (!empty($_SERVER['QUERY_STRING'])) {
      $parts = explode("&", $_SERVER['QUERY_STRING']);
      $newParts = array();
      foreach ($parts as $val) {
          $val_parts = explode("=", $val);
          if (!in_array($val_parts[0], $template_properties)) {
            array_push($newParts, $val);
          }
      }
      if (count($newParts) != 0) {
          $qs = implode("&amp;", $newParts);
      } else {
          return "?";
      }
      return "?" . $qs . "&amp;"; // this is your new created query string
  } else {
      return "?";
  } 
}
?>
