<?php
defined('_JEXEC') or die();
define('TEMPLATE', 'rt_akiraka_j15');
include_once('../templates/'.TEMPLATE.'/styles.php');

class JElementColorChooser extends JElement {
	

	function fetchElement($name, $value, &$node, $control_name)
	{
		global $stylesList;
		$output = '';
		$document 	=& JFactory::getDocument();
		
		if (!defined('MOORAINBOW')) {
			
			$document->addStyleSheet('../templates/'.TEMPLATE.'/moorainbow/mooRainbow.css');
			$document->addScript('../templates/'.TEMPLATE.'/moorainbow/mooRainbow.js');

			$scriptconfig  = $this->populateStyles($stylesList);
			$scriptconfig .= $this->rainbowInit();
			
			$document->addScriptDeclaration($scriptconfig);
			
			define('MOORAINBOW',1);
		}
	
		$scriptconfig = $this->newRainbow($name);
		
		$document->addScriptDeclaration($scriptconfig);

		

		$output .= "<input class=\"picker-input\" id=\"".$control_name.$name."\" name=\"".$control_name."[".$name."]\" type=\"text\" size=\"7\" maxlength=\"7\" value=\"".$value."\" />";
		$output .= "<div class=\"picker\" id=\"myRainbow_".$name."_input\"><div class=\"overlay\"></div></div>\n";
		
		return $output;
	}
	
	function newRainbow($name)
	{
		return "window.addEvent('domready', function() {		
			var input = $('params".$name."');
			var r_".$name." = new MooRainbow('myRainbow_".$name."_input', {
				id: 'myRainbow_".$name."',
				startColor: $('params".$name."').getValue().hexToRgb(true),
				imgPath: '../templates/".TEMPLATE."/moorainbow/images/',
				onChange: function(color) {
					$('paramspresetStyle').selectedIndex = $('paramspresetStyle').getChildren().length - 1;
					input.getNext().getFirst().setStyle('background-color', color.hex);
					input.value = color.hex;

					var preview = RainbowPreview[input.getNext().id.replace('_input', '')];
					if (preview.length == 2)
						$$('#preview .'+preview[0]).setStyle(preview[1], color.hex);
					else if (preview.length == 3) {
						$$('#preview .'+preview[0]).setStyle(preview[1], color.hex);
						$$('#preview .'+preview[0]).setStyle(preview[2], color.hex);
					}
					if (this.visible) this.okButton.focus();
				}
			});
			r_".$name.".okButton.setStyle('outline', 'none');
			$('myRainbow_".$name."_input').addEvent('click', function() {
				r_".$name.".okButton.focus();
			});
			input.addEvent('keyup', function(e) {
				e = new Event(e);
				if ((this.value.length == 4 || this.value.length == 7) && this.value[0] == '#') {
					var rgb = new Color(this.value);
					var hex = this.value;
					var hsb = rgb.rgbToHsb();
					var color = {
						'hex': hex,
						'rgb': rgb,
						'hsb': hsb
					}
					r_".$name.".fireEvent('onChange', color);
					r_".$name.".manualSet(color.rgb);
				};
			});
			$('paramspresetStyle').addEvent('change', function() {
				r_".$name.".backupColor = $('params".$name."').getValue().hexToRgb(true);
				r_".$name.".currentColor = $('params".$name."').getValue().hexToRgb(true);
				r_".$name.".layout.backup.setStyle('background-color', $('params".$name."').getValue());	
			});
			input.getNext().getFirst().setStyle('background-color', r_".$name.".sets.hex);
			rainbowLoad('myRainbow_".$name."');
		});\n";
	}
	
	function populateStyles($list)
	{
		$script = "
		var stylesList = new Hash({});
		var styleSelected = null;
		window.addEvent('domready', function() {
			styleSelected = $('paramspresetStyle').getValue();
			$('paramspresetStyle').empty();\n";
		
		foreach($list as $name => $style) {
			$js = "			stylesList.set('$name', ['{$style[0]}'";
			for ($i = 1, $l = count($style); $i < $l; $i++) {
				$js .= ", '{$style[$i]}'";
			}
			$js .= "]);\n";
			$script .= $js;
		}
			
		$script .= "		});";
		
		return $script;
	}
	
	function rainbowInit()
	{
		return "
			var RainbowPreview = {
				'myRainbow_header_color': ['header', 'background-color'],
				'myRainbow_showcase_color': ['showcase', 'background-color'],
				'myRainbow_body_color': ['body', 'background-color'],
				'myRainbow_botbar_color': ['botbar', 'background-color'],
				'myRainbow_botsection_color': ['botsec', 'background-color'],
				'myRainbow_footer_color': ['footer', 'background-color'],
				'myRainbow_logo_text': ['logo-text, #preview .photo-block', 'color'],
				'myRainbow_header_text': ['header-text, #preview .search-text', 'color'],
				'myRainbow_header_link': ['header-text .link', 'color'],
				'myRainbow_showcase_text': ['showcase-text', 'color'],
				'myRainbow_showcase_link': ['showcase-text a', 'color'],
				'myRainbow_showcase_highlight_text': ['showcase-text span', 'color'],
				'myRainbow_showcase_highlight': ['showcase-text span', 'background-color'],
				'myRainbow_body_highlight': ['body-text h1', 'color'],
				'myRainbow_body_text': ['body-text', 'color'],
				'myRainbow_body_link': ['body-text h1 span, #preview .body-text a', 'color'],
				'myRainbow_botbar_text': ['botbar-text', 'color'],
				'myRainbow_botbar_link': ['botbar-text a', 'color'],
				'myRainbow_botsection_text': ['botsec-text', 'color'],
				'myRainbow_botsection_link': ['botsec-text a', 'color'],
				'myRainbow_footer_text': ['footer-text', 'color'],
				'myRainbow_footer_link': ['footer-text a', 'color']
			};
			
			var rainbowLoad = function(name, hex) {
				var preview = RainbowPreview[name];
				
				if (hex) {
					$(name+'_input').getPrevious().value = hex;
					$(name+'_input').getFirst().setStyle('background-color', hex);
				}
				var hex = hex || $(name+'_input').getFirst().getStyle('background-color');
				
				if (preview.length == 2) {
					$$('#preview .'+preview[0]).setStyle(preview[1], hex);
				} else if (preview.length == 3) {
					$$('#preview .'+preview[0]).setStyle(preview[1], hex);
					$$('#preview .'+preview[0]).setStyle(preview[2], hex);
				}
			};
			
			
			/* START_DEBUG ONLY */
			var debug_only = function() {
				var td = new Element('td', {'id': 'toolbar-colorstyle', 'class': 'button'}).inject('toolbar-preview', 'before');
				var a = new Element('a', {'class': 'toolbar', 'href': '#'}).inject(td).setText('Custom style');
				new Element('span', {'class': 'icon-32-colorstyle', 'title': 'Output custom style'}).inject(a, 'top');
				
				var tr = new Element('tr').inject($('paramsoverlayTexture').getParent().getParent(), 'after');
				var td1 = new Element('td', {'class': 'paramlist_key', 'styles': 'width: 40%;'}).inject(tr);
				var span = new Element('span', {'class': 'editlinktip'}).inject(td1).setHTML('Custom style output');
				
				var td2 = new Element('td', {'class': 'paramlist_value'}).inject(tr);
				var tarea = new Element('textarea', {'styles': 'width: 100%; height: 100px'}).inject(td2);
				
				var scroll = new Fx.Scroll(window, {offset: {x: false, y: -5}});
				a.addEvent('click', function(e) {
					new Event(e).stop();
					var arr = [];
					for (color in RainbowPreview) {
						arr.push($(color+'_input').getFirst().getStyle('background-color'));
					}
					tarea.setHTML('\'style_name\' => array(\''+$('paramsheaderOverlay').getValue()+'\', \''+$('paramsshowcaseOverlay').getValue()+'\', \''+$('paramsbodyOverlay').getValue()+'\', \''+$('paramsbottomOverlay').getValue()+'\', \''+$('paramsoverlayTexture').getValue()+'\', \"' + arr.join('\", \"') + '\")');
					tarea.focus();
					tarea.select();
					
					scroll.toElement(tarea);
				});
			};
			
			/* END_DEBUG ONLY */
			
			window.addEvent('domready', function() {
				
				debug_only();
				
				// Styles Combo
				var stylesCombo = $('paramspresetStyle');
				var texture = $('paramsoverlayTexture');
				var header = $('paramsheaderOverlay'), showcase = $('paramsshowcaseOverlay'), main = $('paramsbodyOverlay'), bottom = $('paramsbottomOverlay');
				stylesList.each(function(key, value) {
					var option = new Element('option', {'value': value.toLowerCase()}).setHTML(value.capitalize());
					if (value == styleSelected) option.setProperty('selected', 'selected');
					option.inject(stylesCombo);
				});
				var option = new Element('option', {'value': 'custom'}).setHTML('Custom').inject(stylesCombo);
				if (styleSelected == 'custom') option.setProperty('selected', 'selected');
				
				stylesCombo.addEvent('change', function(e) {
					new Event(e).stop();
					if (this.value == 'custom') return;
					
					header.getChildren().each(function(el) {
						if (el.value == stylesList.get(this.value)[0]) el.selected = true;
					}, this);
					
					showcase.getChildren().each(function(el) {
						if (el.value == stylesList.get(this.value)[1]) el.selected = true;
					}, this);
					
					main.getChildren().each(function(el) {
						if (el.value == stylesList.get(this.value)[2]) el.selected = true;
					}, this);
					
					bottom.getChildren().each(function(el) {
						if (el.value == stylesList.get(this.value)[3]) el.selected = true;
					}, this);
					
					texture.getChildren().each(function(el) {
						if (el.value == stylesList.get(this.value)[4]) el.selected = true;
					}, this);
					
					var i = 5;
					for (color in RainbowPreview) {
						rainbowLoad(color, stylesList.get(this.value)[i]);
						i++;
					}
				});
				
				// Previewer
				var previewWindow = $('preview-window');
				var previewParent = previewWindow.getParent();
				var slide = new Fx.Slide(previewParent, {'wait': false}).show();
				previewParent.over = false;
				previewParent.leave = false;
				previewParent.drop = false;

				previewWindow.setStyle('cursor', 'move').makeDraggable({
					'droppables': $$(previewParent)
				});
				previewWindow.addEvent('mousedown', function() {
					this.setStyle('position', 'absolute');
				});
				previewParent.addEvents({
					'over': function(drag, obj) {
						if (previewParent.over) return;
						obj.droppables[0].setStyles({
							'border': '3px solid #d3d3d3',
							'background-color': '#f3f3f3'
						});
						slide.show();
						previewParent.over = true;
						previewParent.leave = false;
						previewParent.drop = false;					
					},

					'leave': function(drag, obj) {
						if (previewParent.leave) return;
						obj.droppables[0].setStyles({
							'border': '',
							'background-color': ''
						});
						slide.hide();
						previewParent.over = false;
						previewParent.leave = true;
						previewParent.drop = false;
					},

					'drop': function(drag, obj) {
						if (previewParent.drop) return;

						previewWindow.setStyle('position', '');
						obj.droppables[0].setStyles({
							'border': '',
							'background-color': ''
						});

						previewParent.over = false;
						previewParent.leave = false;
						previewParent.drop = true;
					}
				});
				
			});
		";
	}
}

?>